Sql Server Availability Groups - delete Mi Link

Deletes the MI Link between an Azure Arc-enabled SQL Server and an Azure SQL Managed Instance.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/sqlServerInstances/{sqlServerInstanceName}/availabilityGroups/{availabilityGroupName}/deleteMiLink?api-version=2026-01-01

URI Parameters

Name In Required Type Description
availabilityGroupName
path True

string

Name of SQL Availability Group

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

sqlServerInstanceName
path True

string

Name of SQL Server Instance

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
202 Accepted

The MI Link deletion request has been accepted and is being processed asynchronously.

Headers

  • Retry-After: integer
  • Location: string
  • Azure-AsyncOperation: string
Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Fail over from an Arc Sql Server availability group to a Managed Instance.

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerInstances/testSqlServer_INST1/availabilityGroups/testDAG/deleteMiLink?api-version=2026-01-01

Sample response

Retry-After: 10
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.AzureArcData/locations/eastus/operationsStatuses/5abb198d-cc4b-46bd-9e6c-e3f0ba22015d?api-version=2026-01-01
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.AzureArcData/operationResults/id1

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.